package org.example.wedding_app_backend.repository;

import org.example.wedding_app_backend.repository.entity.WeddingEntity;
import org.example.wedding_app_backend.repository.entity.WeddingImage;
import org.springframework.data.domain.Sort;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.UUID;

@Repository
public interface WeddingImageRepository
        extends JpaRepository<WeddingImage, UUID> {

    List<WeddingImage> findAllByWedding(WeddingEntity wedding);

    List<WeddingImage> findAllByWedding(WeddingEntity wedding, Sort sort);
}
