import {RouterModule, Routes} from '@angular/router';
import {GalleryComponent} from './components/gallery/gallery.component';
import {NgModule} from '@angular/core';

export const routes: Routes = [
  // na razie wsszystko routuje do strony wedding ale pozniej bedzie home dla domyslnej
  {
    path: '',
    pathMatch: 'full',
    loadComponent: () => {
      return import("./components/wedding/wedding.component").then((m) => m.WeddingComponent)
    },
  },
  {
    path: 'wedding/:id',
    loadComponent: () => {
      return import("./components/wedding/wedding.component").then((m) => m.WeddingComponent)
    },
  },
  {
    path: 'wedding/:id/gallery',
    component: GalleryComponent,
  }
];


